/*
Copyright 2008 York University

Licensed under the Educational Community License (ECL), Version 2.0 or the New
BSD license. You may not use this file except in compliance with one these
Licenses.

You may obtain a copy of the ECL 2.0 License and BSD License at
https://source.fluidproject.org/svn/LICENSE.txt

*/
package org.fluidproject.vulab.rascal.core;

import java.awt.image.BufferedImage;
import java.io.File;

import org.fluidproject.vulab.rascal.utils.http.HTTPStreamer;

public class StreamingThread implements Runnable {

	private HTTPStreamer streamer;
	private File file;
	
	public StreamingThread(File file){
		this.file = file;
	}
	
	public void run() {
		streamer = new HTTPStreamer(file,SessionFactory.getSession());
		file.delete();

	}

}
