/*
Copyright 2008 York University
*/
package org.fluidproject.vulab.rascal.ui;

public class Settings {

	// audio settings
	public static final String AUDIO_FILE_NAME = "output.wav";
	public static final float SAMPLE_RATE = 8000.0F;
	// 8000,11025,16000,22050,44100
	
	public static final int SAMPLE_SIZE_IN_BITS = 16;
	// 8,16
	
	public static final int CHANNELS = 1;
	// 1,2
	
	public static final boolean SIGNED = true;
	// true,false
	
	public static final boolean BIG_ENDIAN = false;
	// true,false
	
	public static final String TEMPORARY_AUDIO_FILENAME = "screencasttmp/output.wav";
	
	
	// HTTP
	
	private static String uploaderURL ="";

	public static String getUploaderURL() {
		return uploaderURL;
	}

	public static synchronized void setUploaderURL(String uploader_URL) {
		uploaderURL = uploader_URL;
	}
	
	/**
	 * MIME Type to use
	 */
	public static final String MIME_TYPE = "application/octet-stream";
	public static final String TEMP_DIR = ".screencast";
	
}
